
Base Distribution - Task # 48348

Work Package # 47023 (Accepted): Global user interface

Status: Resolved Priority: Should have
Author: Aske Ertmann Category:
Created: 2013-05-17 Assigned To:
Updated: 2013-07-11 Due date:
Subject: Rename Styling to new structure
Description

In order to have a good structure of our styling we need to reorganize it

    -  move every scss source file to a Styles-folder inside Resources/Private
    -  keep bootstrap as solid base for responsive features and a big set of components
    -  use it as our own base and also adjust the original files for our needs
    -  use the bootstrap variables.scss as constant definition file
    -  have an own mixin file
    -  have a foundation folder inside Resources/Private/Styles
    -  use an own includes.scss where also the bootstrap files are included
    -  create files for the modules for specific styles
    -  create files for the components (i.e. inspector..)
    -  every class has to be prefixed with neos-
    -  keep lowercase-dashed file names which are as short as possible and use cascading instead of long-named classes

Associated revisions
Revision 2beda34c - 2013-05-17 15:57 - Aske Ertmann

[TASK] Rename Styling to new structure

Change-Id: I383a41abdfcae5973f181e937b03909b4c509af6
Related: #48348

Revision 154d14e4 - 2013-05-18 14:16 - Aske Ertmann

[TASK] Code cleanup in PageHEad TyposScriptObject template

Change-Id: I4d939061f0d9d7934d73ef5bab26b2244ddc655c
Related: #48348

Revision 84f63674 - 2013-05-24 08:52 - Aske Ertmann

[TASK] Adjust to styling restructuring

Change-Id: Iafb616fa1add197a7449eb57d7113b0ee5064f0b
Related: #48348

Revision 72bd4c12 - 2013-05-24 08:52 - Aske Ertmann
[TASK] Rename Styling to new structure

    -  Use own copy of Bootstrap style as foundation
    -  Rename t3-ui class to neos
    -  Rename all t3-* classes to neos-*
    -  Remove unused scss and image files from Bootstrap library
    -  Restructure files and file names (still more to do)

Change-Id: I5b2565c9bd38e9e110b5e4b42179e0c4a0848eea
Related: #48348

Revision b360e0ff - 2013-05-25 17:11 - Aske Ertmann

[TASK] Remove debug console.log from page tree component

Change-Id: I6c562e34a1eda025b3979937a051e7342c69cbf7
Related: #48348

Revision 56fec3aa - 2013-05-25 22:13 - Aske Ertmann

[TASK] Built new jQuery with dependencies library file

Change-Id: Id527b6e819fd61ee535f9170513846607a8f309e
Related: #48348

Revision 3231f861 - 2013-05-26 10:25 - Aske Ertmann

[BUGFIX] Replace remaining t3- usages after node types restructuring

Also renames section to content in accordance to the new
naming in TypoScript.

Change-Id: Ib860f4ecc84f8fbe2d201b712331723e9a04ebbc
Related: #48348
Related: #45317

Revision 9560e590 - 2013-09-24 17:05 - Aske Ertmann

[FEATURE] Add shared sessionStorage component (like localStorage)

Also adds a internal property for caching the result of the functionality
check to prevent unnecessary read/write to disk.

Clear session storage for it to work properly

Change-Id: I77d047997a53fbf3f8d615b7852bc9fc483967d0
Related: #48348
Reviewed-on: https://review.typo3.org/23532
Reviewed-by: Aske Ertmann

2015-08-04 2/3

https://review.typo3.org/23532


Tested-by: Aske Ertmann
Reviewed-by: Rens Admiraal
Tested-by: Rens Admiraal

History
#1 - 2013-07-11 23:56 - Aske Ertmann
- Status changed from Accepted to Resolved
- Assigned To deleted (Aske Ertmann)
- Target version set to 1.0 beta 1
- % Done changed from 0 to 100
